v 13.0 Third Party 1 4754
Download for v 13.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Technical Name accounting_pdf_reports
LicenseLGPL-3
Websitehttp://odoomates.tech
Also available in version v 12.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Technical Name accounting_pdf_reports
LicenseLGPL-3
Websitehttp://odoomates.tech
Also available in version v 12.0

Accounting Reports Odoo13

Features:

Partner Ledger Report.


Journals Audit.


General Ledger.


Trial Balance.


Aged Partner Balance.


Profit and Loss.


Balance Sheet.


Tax Report.



Accounting Reports

General Ledger

Partner Ledger

Aged Partner Balance




If you need any support or want more features, just contact us:


Email: odoomates@gmail.com



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo v13 Server Error on custom res.partner fields
by
Dax1900
on 7/27/20, 7:33 AM

Fout: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 664, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 909, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 382, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 85, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 366, in load_modules registry.setup_models(cr) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 280, in setup_models for path in transitive_dependencies(field): File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 266, in transitive_dependencies for seq2 in transitive_dependencies(seq1[-1], seen + [field]): File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 264, in transitive_dependencies for seq1 in dependencies[field]: KeyError: res.partner.x_SupportInvoiceMonth

Re: Odoo v13 Server Error on custom res.partner fields
by
Odoo Mates
on 7/28/20, 11:38 PM Author

the error seems to be not from our module. Can you confirm it by trying our module in fresh database without any customization and please let us know


Error while printing General Ledger
by
Dragan Vukosavljevic
on 5/15/20, 12:32 PM

Hi OdooMates, please see the error I receive when printing General Ledger report. All other reports work just fine. Thank you ________________________________________________ 500: Internal Server Error Template fallback An error occured while rendering the template accounting_pdf_reports.report_general_ledger. If this error is caused by a change of yours in the templates, you have the possibility to reset the template to its factory settings. report_general_ledger QWeb Error message: Error to render compiling AST TypeError: '>' not supported between instances of 'NoneType' and 'float' Template: accounting_pdf_reports.report_general_ledger Path: /t/t/t[4]/div/table/tbody/t/tr[2]/td[10]/span[1] Node: The error occured while rendering the template accounting_pdf_reports.report_general_ledger and evaluating the following expression: Traceback Traceback (most recent call last): File "/opt/odoo13/odoo/odoo/addons/base/models/qweb.py", line 332, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_accounting_pdf_reports_report_general_ledger_550 File "", line 2, in body_call_content_548 File "", line 6, in body_call_content_546 File "", line 57, in foreach_545 File "", line 75, in foreach_544 TypeError: '>' not supported between instances of 'NoneType' and 'float' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/odoo13/odoo/odoo/addons/base/models/ir_http.py", line 229, in _dispatch result = request.dispatch() File "/opt/odoo13/odoo/odoo/http.py", line 804, in dispatch r = self._call_function(**self.params) File "/opt/odoo13/odoo/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo13/odoo/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo13/odoo/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo13/odoo/odoo/http.py", line 910, in __call__ return self.method(*args, **kw) File "/opt/odoo13/odoo/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/opt/odoo13/odoo/addons/web/controllers/main.py", line 1956, in report_routes html = report.with_context(context).render_qweb_html(docids, data=data)[0] File "/opt/odoo13/odoo/odoo/addons/base/models/ir_actions_report.py", line 758, in render_qweb_html return self.render_template(self.report_name, data), 'html' File "/opt/odoo13/odoo/odoo/addons/base/models/ir_actions_report.py", line 541, in render_template return view_obj.render_template(template, values) File "/opt/odoo13/odoo/odoo/addons/base/models/ir_ui_view.py", line 1154, in render_template return self.browse(self.get_view_id(template)).render(values, engine) File "/opt/odoo13/odoo/addons/website/models/ir_ui_view.py", line 335, in render return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext) File "/opt/odoo13/odoo/addons/web_editor/models/ir_ui_view.py", line 25, in render return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext) File "/opt/odoo13/odoo/odoo/addons/base/models/ir_ui_view.py", line 1162, in render return self.env[engine].render(self.id, qcontext) File "/opt/odoo13/odoo/odoo/addons/base/models/ir_qweb.py", line 58, in render result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context) File "/opt/odoo13/odoo/odoo/addons/base/models/qweb.py", line 260, in render self.compile(template, options)(self, body.append, values or {}) File "/opt/odoo13/odoo/odoo/addons/base/models/qweb.py", line 339, in _compiled_fn raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name) odoo.addons.base.models.qweb.QWebException: '>' not supported between instances of 'NoneType' and 'float' Traceback (most recent call last): File "/opt/odoo13/odoo/odoo/addons/base/models/qweb.py", line 332, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_accounting_pdf_reports_report_general_ledger_550 File "", line 2, in body_call_content_548 File "", line 6, in body_call_content_546 File "", line 57, in foreach_545 File "", line 75, in foreach_544 TypeError: '>' not supported between instances of 'NoneType' and 'float' Error to render compiling AST TypeError: '>' not supported between instances of 'NoneType' and 'float' Template: accounting_pdf_reports.report_general_ledger Path: /t/t/t[4]/div/table/tbody/t/tr[2]/td[10]/span[1] Node:


Odoo v13 Server Error on custom res.partner fields
by
Dax1900
on 7/27/20, 7:37 AM

After pressing the install button of your app i get the following exceptions: Fout: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 664, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 909, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 382, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 85, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 366, in load_modules registry.setup_models(cr) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 280, in setup_models for path in transitive_dependencies(field): File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 266, in transitive_dependencies for seq2 in transitive_dependencies(seq1[-1], seen + [field]): File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 264, in transitive_dependencies for seq1 in dependencies[field]: KeyError: res.partner.x_SupportInvoiceMonth


by
msdeek@codefish.com.eg
on 10/22/19, 10:42 AM

when post bill i get this error: File "/odoo/custom/odoomates/odooapps/om_account_asset/models/account.py", line 24, in post return super(AccountMove, self).post(invoice=invoice) TypeError: post() got an unexpected keyword argument 'invoice'

Re:
by
Odoo Mates
on 10/22/19, 9:40 PM Author

Thanks for reporting the issue, the error has been fixed. Please download the module once again and try and let us know.


Odoo13 Accounting?
by
Dragan Vukosavljevic
on 10/20/19, 9:38 AM

When do you expect version 13 of Odoo12 Accounting to be available? https://apps.odoo.com/apps/modules/12.0/om_account_accountant/

Re: Odoo13 Accounting?
by
Odoo Mates
on 10/22/19, 9:39 PM Author

Happy to inform you that, we have released the v13 of the module: https://apps.odoo.com/apps/modules/13.0/om_account_accountant/